<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.KCategoryMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.system.domain.KCategory">
            <id property="id" column="Id" jdbcType="INTEGER"/>
            <result property="categoryname" column="categoryname" jdbcType="VARCHAR"/>
            <result property="remarks" column="remarks" jdbcType="VARCHAR"/>
            <result property="createtime" column="createtime" jdbcType="TIMESTAMP"/>
            <result property="updatetime" column="updateTime" jdbcType="TIMESTAMP"/>
            <result property="username" column="username" jdbcType="VARCHAR"/>
            <result property="higherupid" column="higherupid" jdbcType="INTEGER"/>
            <result property="path" column="path" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        Id,categoryname,remarks,
        createtime,updateTime,username,
        higherupid,path
    </sql>
</mapper>
